// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.0
// 	protoc        v3.20.1
// source: utils/api/proto/sha3hasher.proto

package sha3hasher

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Sha3Algorithm int32

const (
	Sha3Algorithm_SHA3_224 Sha3Algorithm = 0
	Sha3Algorithm_SHA3_256 Sha3Algorithm = 1
	Sha3Algorithm_SHA3_384 Sha3Algorithm = 2
	Sha3Algorithm_SHA3_512 Sha3Algorithm = 3
)

// Enum value maps for Sha3Algorithm.
var (
	Sha3Algorithm_name = map[int32]string{
		0: "SHA3_224",
		1: "SHA3_256",
		2: "SHA3_384",
		3: "SHA3_512",
	}
	Sha3Algorithm_value = map[string]int32{
		"SHA3_224": 0,
		"SHA3_256": 1,
		"SHA3_384": 2,
		"SHA3_512": 3,
	}
)

func (x Sha3Algorithm) Enum() *Sha3Algorithm {
	p := new(Sha3Algorithm)
	*p = x
	return p
}

func (x Sha3Algorithm) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (Sha3Algorithm) Descriptor() protoreflect.EnumDescriptor {
	return file_utils_api_proto_sha3hasher_proto_enumTypes[0].Descriptor()
}

func (Sha3Algorithm) Type() protoreflect.EnumType {
	return &file_utils_api_proto_sha3hasher_proto_enumTypes[0]
}

func (x Sha3Algorithm) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use Sha3Algorithm.Descriptor instead.
func (Sha3Algorithm) EnumDescriptor() ([]byte, []int) {
	return file_utils_api_proto_sha3hasher_proto_rawDescGZIP(), []int{0}
}

type Input struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Index int32  `protobuf:"varint,1,opt,name=index,proto3" json:"index,omitempty"`
	Input string `protobuf:"bytes,2,opt,name=input,proto3" json:"input,omitempty"`
}

func (x *Input) Reset() {
	*x = Input{}
	if protoimpl.UnsafeEnabled {
		mi := &file_utils_api_proto_sha3hasher_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Input) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Input) ProtoMessage() {}

func (x *Input) ProtoReflect() protoreflect.Message {
	mi := &file_utils_api_proto_sha3hasher_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Input.ProtoReflect.Descriptor instead.
func (*Input) Descriptor() ([]byte, []int) {
	return file_utils_api_proto_sha3hasher_proto_rawDescGZIP(), []int{0}
}

func (x *Input) GetIndex() int32 {
	if x != nil {
		return x.Index
	}
	return 0
}

func (x *Input) GetInput() string {
	if x != nil {
		return x.Input
	}
	return ""
}

type Meta struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	RequestId string        `protobuf:"bytes,1,opt,name=request_id,json=requestId,proto3" json:"request_id,omitempty"`
	Algorithm Sha3Algorithm `protobuf:"varint,2,opt,name=algorithm,proto3,enum=sha3hasher.Sha3Algorithm" json:"algorithm,omitempty"`
}

func (x *Meta) Reset() {
	*x = Meta{}
	if protoimpl.UnsafeEnabled {
		mi := &file_utils_api_proto_sha3hasher_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Meta) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Meta) ProtoMessage() {}

func (x *Meta) ProtoReflect() protoreflect.Message {
	mi := &file_utils_api_proto_sha3hasher_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Meta.ProtoReflect.Descriptor instead.
func (*Meta) Descriptor() ([]byte, []int) {
	return file_utils_api_proto_sha3hasher_proto_rawDescGZIP(), []int{1}
}

func (x *Meta) GetRequestId() string {
	if x != nil {
		return x.RequestId
	}
	return ""
}

func (x *Meta) GetAlgorithm() Sha3Algorithm {
	if x != nil {
		return x.Algorithm
	}
	return Sha3Algorithm_SHA3_224
}

type Output struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Index  int32  `protobuf:"varint,1,opt,name=index,proto3" json:"index,omitempty"`
	Output string `protobuf:"bytes,2,opt,name=output,proto3" json:"output,omitempty"`
}

func (x *Output) Reset() {
	*x = Output{}
	if protoimpl.UnsafeEnabled {
		mi := &file_utils_api_proto_sha3hasher_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Output) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Output) ProtoMessage() {}

func (x *Output) ProtoReflect() protoreflect.Message {
	mi := &file_utils_api_proto_sha3hasher_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Output.ProtoReflect.Descriptor instead.
func (*Output) Descriptor() ([]byte, []int) {
	return file_utils_api_proto_sha3hasher_proto_rawDescGZIP(), []int{2}
}

func (x *Output) GetIndex() int32 {
	if x != nil {
		return x.Index
	}
	return 0
}

func (x *Output) GetOutput() string {
	if x != nil {
		return x.Output
	}
	return ""
}

type Sha3Request struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to RequestData:
	//	*Sha3Request_Meta
	//	*Sha3Request_Input
	RequestData isSha3Request_RequestData `protobuf_oneof:"request_data"`
}

func (x *Sha3Request) Reset() {
	*x = Sha3Request{}
	if protoimpl.UnsafeEnabled {
		mi := &file_utils_api_proto_sha3hasher_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Sha3Request) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Sha3Request) ProtoMessage() {}

func (x *Sha3Request) ProtoReflect() protoreflect.Message {
	mi := &file_utils_api_proto_sha3hasher_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Sha3Request.ProtoReflect.Descriptor instead.
func (*Sha3Request) Descriptor() ([]byte, []int) {
	return file_utils_api_proto_sha3hasher_proto_rawDescGZIP(), []int{3}
}

func (m *Sha3Request) GetRequestData() isSha3Request_RequestData {
	if m != nil {
		return m.RequestData
	}
	return nil
}

func (x *Sha3Request) GetMeta() *Meta {
	if x, ok := x.GetRequestData().(*Sha3Request_Meta); ok {
		return x.Meta
	}
	return nil
}

func (x *Sha3Request) GetInput() *Input {
	if x, ok := x.GetRequestData().(*Sha3Request_Input); ok {
		return x.Input
	}
	return nil
}

type isSha3Request_RequestData interface {
	isSha3Request_RequestData()
}

type Sha3Request_Meta struct {
	Meta *Meta `protobuf:"bytes,1,opt,name=meta,proto3,oneof"`
}

type Sha3Request_Input struct {
	Input *Input `protobuf:"bytes,2,opt,name=input,proto3,oneof"`
}

func (*Sha3Request_Meta) isSha3Request_RequestData() {}

func (*Sha3Request_Input) isSha3Request_RequestData() {}

type Sha3Response struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Output *Output `protobuf:"bytes,1,opt,name=output,proto3" json:"output,omitempty"`
}

func (x *Sha3Response) Reset() {
	*x = Sha3Response{}
	if protoimpl.UnsafeEnabled {
		mi := &file_utils_api_proto_sha3hasher_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Sha3Response) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Sha3Response) ProtoMessage() {}

func (x *Sha3Response) ProtoReflect() protoreflect.Message {
	mi := &file_utils_api_proto_sha3hasher_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Sha3Response.ProtoReflect.Descriptor instead.
func (*Sha3Response) Descriptor() ([]byte, []int) {
	return file_utils_api_proto_sha3hasher_proto_rawDescGZIP(), []int{4}
}

func (x *Sha3Response) GetOutput() *Output {
	if x != nil {
		return x.Output
	}
	return nil
}

var File_utils_api_proto_sha3hasher_proto protoreflect.FileDescriptor

var file_utils_api_proto_sha3hasher_proto_rawDesc = []byte{
	0x0a, 0x20, 0x75, 0x74, 0x69, 0x6c, 0x73, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x2f, 0x73, 0x68, 0x61, 0x33, 0x68, 0x61, 0x73, 0x68, 0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x12, 0x0a, 0x73, 0x68, 0x61, 0x33, 0x68, 0x61, 0x73, 0x68, 0x65, 0x72, 0x22, 0x33,
	0x0a, 0x05, 0x49, 0x6e, 0x70, 0x75, 0x74, 0x12, 0x14, 0x0a, 0x05, 0x69, 0x6e, 0x64, 0x65, 0x78,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x05, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x12, 0x14, 0x0a,
	0x05, 0x69, 0x6e, 0x70, 0x75, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x69, 0x6e,
	0x70, 0x75, 0x74, 0x22, 0x5e, 0x0a, 0x04, 0x4d, 0x65, 0x74, 0x61, 0x12, 0x1d, 0x0a, 0x0a, 0x72,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x09, 0x72, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x49, 0x64, 0x12, 0x37, 0x0a, 0x09, 0x61, 0x6c,
	0x67, 0x6f, 0x72, 0x69, 0x74, 0x68, 0x6d, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x19, 0x2e,
	0x73, 0x68, 0x61, 0x33, 0x68, 0x61, 0x73, 0x68, 0x65, 0x72, 0x2e, 0x53, 0x68, 0x61, 0x33, 0x41,
	0x6c, 0x67, 0x6f, 0x72, 0x69, 0x74, 0x68, 0x6d, 0x52, 0x09, 0x61, 0x6c, 0x67, 0x6f, 0x72, 0x69,
	0x74, 0x68, 0x6d, 0x22, 0x36, 0x0a, 0x06, 0x4f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x12, 0x14, 0x0a,
	0x05, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x18, 0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x05, 0x69, 0x6e,
	0x64, 0x65, 0x78, 0x12, 0x16, 0x0a, 0x06, 0x6f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x06, 0x6f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x22, 0x70, 0x0a, 0x0b, 0x53,
	0x68, 0x61, 0x33, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x26, 0x0a, 0x04, 0x6d, 0x65,
	0x74, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x73, 0x68, 0x61, 0x33, 0x68,
	0x61, 0x73, 0x68, 0x65, 0x72, 0x2e, 0x4d, 0x65, 0x74, 0x61, 0x48, 0x00, 0x52, 0x04, 0x6d, 0x65,
	0x74, 0x61, 0x12, 0x29, 0x0a, 0x05, 0x69, 0x6e, 0x70, 0x75, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x11, 0x2e, 0x73, 0x68, 0x61, 0x33, 0x68, 0x61, 0x73, 0x68, 0x65, 0x72, 0x2e, 0x49,
	0x6e, 0x70, 0x75, 0x74, 0x48, 0x00, 0x52, 0x05, 0x69, 0x6e, 0x70, 0x75, 0x74, 0x42, 0x0e, 0x0a,
	0x0c, 0x72, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x5f, 0x64, 0x61, 0x74, 0x61, 0x22, 0x3a, 0x0a,
	0x0c, 0x53, 0x68, 0x61, 0x33, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x2a, 0x0a,
	0x06, 0x6f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e,
	0x73, 0x68, 0x61, 0x33, 0x68, 0x61, 0x73, 0x68, 0x65, 0x72, 0x2e, 0x4f, 0x75, 0x74, 0x70, 0x75,
	0x74, 0x52, 0x06, 0x6f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x2a, 0x47, 0x0a, 0x0d, 0x53, 0x68, 0x61,
	0x33, 0x41, 0x6c, 0x67, 0x6f, 0x72, 0x69, 0x74, 0x68, 0x6d, 0x12, 0x0c, 0x0a, 0x08, 0x53, 0x48,
	0x41, 0x33, 0x5f, 0x32, 0x32, 0x34, 0x10, 0x00, 0x12, 0x0c, 0x0a, 0x08, 0x53, 0x48, 0x41, 0x33,
	0x5f, 0x32, 0x35, 0x36, 0x10, 0x01, 0x12, 0x0c, 0x0a, 0x08, 0x53, 0x48, 0x41, 0x33, 0x5f, 0x33,
	0x38, 0x34, 0x10, 0x02, 0x12, 0x0c, 0x0a, 0x08, 0x53, 0x48, 0x41, 0x33, 0x5f, 0x35, 0x31, 0x32,
	0x10, 0x03, 0x32, 0x4b, 0x0a, 0x0a, 0x53, 0x68, 0x61, 0x33, 0x48, 0x61, 0x73, 0x68, 0x65, 0x72,
	0x12, 0x3d, 0x0a, 0x04, 0x48, 0x61, 0x73, 0x68, 0x12, 0x17, 0x2e, 0x73, 0x68, 0x61, 0x33, 0x68,
	0x61, 0x73, 0x68, 0x65, 0x72, 0x2e, 0x53, 0x68, 0x61, 0x33, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x18, 0x2e, 0x73, 0x68, 0x61, 0x33, 0x68, 0x61, 0x73, 0x68, 0x65, 0x72, 0x2e, 0x53,
	0x68, 0x61, 0x33, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x28, 0x01, 0x30, 0x01, 0x42,
	0x0e, 0x5a, 0x0c, 0x2e, 0x2f, 0x73, 0x68, 0x61, 0x33, 0x68, 0x61, 0x73, 0x68, 0x65, 0x72, 0x62,
	0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_utils_api_proto_sha3hasher_proto_rawDescOnce sync.Once
	file_utils_api_proto_sha3hasher_proto_rawDescData = file_utils_api_proto_sha3hasher_proto_rawDesc
)

func file_utils_api_proto_sha3hasher_proto_rawDescGZIP() []byte {
	file_utils_api_proto_sha3hasher_proto_rawDescOnce.Do(func() {
		file_utils_api_proto_sha3hasher_proto_rawDescData = protoimpl.X.CompressGZIP(file_utils_api_proto_sha3hasher_proto_rawDescData)
	})
	return file_utils_api_proto_sha3hasher_proto_rawDescData
}

var file_utils_api_proto_sha3hasher_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_utils_api_proto_sha3hasher_proto_msgTypes = make([]protoimpl.MessageInfo, 5)
var file_utils_api_proto_sha3hasher_proto_goTypes = []interface{}{
	(Sha3Algorithm)(0),   // 0: sha3hasher.Sha3Algorithm
	(*Input)(nil),        // 1: sha3hasher.Input
	(*Meta)(nil),         // 2: sha3hasher.Meta
	(*Output)(nil),       // 3: sha3hasher.Output
	(*Sha3Request)(nil),  // 4: sha3hasher.Sha3Request
	(*Sha3Response)(nil), // 5: sha3hasher.Sha3Response
}
var file_utils_api_proto_sha3hasher_proto_depIdxs = []int32{
	0, // 0: sha3hasher.Meta.algorithm:type_name -> sha3hasher.Sha3Algorithm
	2, // 1: sha3hasher.Sha3Request.meta:type_name -> sha3hasher.Meta
	1, // 2: sha3hasher.Sha3Request.input:type_name -> sha3hasher.Input
	3, // 3: sha3hasher.Sha3Response.output:type_name -> sha3hasher.Output
	4, // 4: sha3hasher.Sha3Hasher.Hash:input_type -> sha3hasher.Sha3Request
	5, // 5: sha3hasher.Sha3Hasher.Hash:output_type -> sha3hasher.Sha3Response
	5, // [5:6] is the sub-list for method output_type
	4, // [4:5] is the sub-list for method input_type
	4, // [4:4] is the sub-list for extension type_name
	4, // [4:4] is the sub-list for extension extendee
	0, // [0:4] is the sub-list for field type_name
}

func init() { file_utils_api_proto_sha3hasher_proto_init() }
func file_utils_api_proto_sha3hasher_proto_init() {
	if File_utils_api_proto_sha3hasher_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_utils_api_proto_sha3hasher_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Input); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_utils_api_proto_sha3hasher_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Meta); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_utils_api_proto_sha3hasher_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Output); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_utils_api_proto_sha3hasher_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Sha3Request); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_utils_api_proto_sha3hasher_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Sha3Response); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_utils_api_proto_sha3hasher_proto_msgTypes[3].OneofWrappers = []interface{}{
		(*Sha3Request_Meta)(nil),
		(*Sha3Request_Input)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_utils_api_proto_sha3hasher_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   5,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_utils_api_proto_sha3hasher_proto_goTypes,
		DependencyIndexes: file_utils_api_proto_sha3hasher_proto_depIdxs,
		EnumInfos:         file_utils_api_proto_sha3hasher_proto_enumTypes,
		MessageInfos:      file_utils_api_proto_sha3hasher_proto_msgTypes,
	}.Build()
	File_utils_api_proto_sha3hasher_proto = out.File
	file_utils_api_proto_sha3hasher_proto_rawDesc = nil
	file_utils_api_proto_sha3hasher_proto_goTypes = nil
	file_utils_api_proto_sha3hasher_proto_depIdxs = nil
}
